curl --request GET \
--url https://integration.getmateo.com/api/v1/import \
--header 'Authorization: Bearer <token>'import requests
url = "https://integration.getmateo.com/api/v1/import"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integration.getmateo.com/api/v1/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "contact_details",
"payload": {},
"contact_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_list_external_id": "<string>",
"failed_url": "<string>",
"payload_url": "<string>",
"total_count": 123,
"success_count": 123,
"failed_count": 123,
"reference_id": "<string>",
"hints": {},
"allow_deal_reassignment": true,
"allow_appointment_reassignment": true
}
]List Imports
Retrieve a list of imports
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Import ID
Import creation date
Latest update
Organisation ID
Type of import
Payload of import for small imports
ID of the contact list that the contacts should be assigned to
External ID of the contact list that the contacts should be assigned to
URL to download the failed contacts
URL to download the payload for large imports
Total number of contacts in the import
Number of contacts successfully imported
Number of contacts that failed to import
An optional reference ID provided during the import
Optional hints for the import, e.g. to indicate if a field was stolen from another contact. We only store the first 20 hints.
If true, a deal currently assigned to another contact will be re-assigned
If true, an appointment currently assigned to another contact will be re-assigned
Filtering Columns
Ordering. Allowed Fields: created_at
Limiting and Pagination
Limiting and Pagination
Response
OK
Import ID
Import creation date
Latest update
Organisation ID
Type of import
contact_details, deal_details, appointment_details Payload of import for small imports
ID of the contact list that the contacts should be assigned to
External ID of the contact list that the contacts should be assigned to
URL to download the failed contacts
URL to download the payload for large imports
Total number of contacts in the import
Number of contacts successfully imported
Number of contacts that failed to import
An optional reference ID provided during the import
Optional hints for the import, e.g. to indicate if a field was stolen from another contact. We only store the first 20 hints.
If true, a deal currently assigned to another contact will be re-assigned
If true, an appointment currently assigned to another contact will be re-assigned